Please merge lightdm-gtk-greeter 1.8.5-1 from Debian unstable

Bug #1320830 reported by Sean Davis on 2014-05-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lightdm-gtk-greeter (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

Please merge lightdm-gtk-greeter 1.8.5-1 from Debian unstable to Utopic

lightdm-gtk-greeter (1.8.5-1ubuntu1) utopic; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/rules:
      + add indicators to dh_auto_configure
    - debian/control:
      + add depends for indicator support
      + add depends for liblightdm-gobject-1-dev (ubuntu naming is different)
      + fix binary-control-field-duplicates-source lintian tag
    - debian/copyright:
      + fix wiki-copyright-format-uri lintian tag
      + fix obsolete-field-in-dep5-copyright lintian tags
      + add missing license information
    - debian/lightdm-gtk-greeter-ubuntu.conf,
    - debian/lightdm-gtk-greeter.install,
    - debian/lightdm-gtk-greeter.{post,pre}{inst,rm},
    - debian/60-lightdm-gtk-greeter.conf:
      + install and remove ubuntu conf files
    - debian/patches:
      + remove 04_default-gtk-greeter-config.patch (debian-specific)
  * New upstream release (LP: #1320830)
    - Fix tooltips stealing focus (LP: #1307764)
    - Fix get_session to not get corrupted (LP: #1311933)

 -- Sean Davis <email address hidden> Mon, 19 May 2014 06:25:55 -0400

lightdm-gtk-greeter (1.8.5-1) unstable; urgency=medium

  * New upstream release.

 -- Yves-Alexis Perez <email address hidden> Tue, 06 May 2014 07:43:18 +0200

Sean Davis (bluesabre) on 2014-05-19
Changed in lightdm-gtk-greeter (Ubuntu):
status: New → In Progress
assignee: nobody → Sean Davis (smd-seandavis)
Sean Davis (bluesabre) wrote :

Attaching debdiff 1.5.1-1 (debian) to 1.5.1-1ubuntu1

Sean Davis (bluesabre) wrote :

Attaching debdiff 1.8.4-0ubuntu1 to 1.8.5-1ubuntu1

Sean Davis (bluesabre) wrote :

Either of the above debdiffs should be sufficient. The first is the debdiff with the debian package, the second is with the latest ubuntu package.

Changed in lightdm-gtk-greeter (Ubuntu):
status: In Progress → Confirmed
assignee: Sean Davis (smd-seandavis) → nobody
description: updated
Daniel Holbach (dholbach) wrote :

daniel@daydream:~/lightdm-gtk-greeter-1.8.5$ debuild -S -sa -us -uc -v1.8.4-0ubuntu1
 dpkg-buildpackage -rfakeroot -d -us -uc -S -sa -v1.8.4-0ubuntu1
dpkg-buildpackage: source package lightdm-gtk-greeter
dpkg-buildpackage: source version 1.8.5-1ubuntu1
dpkg-buildpackage: source distribution utopic
dpkg-buildpackage: source changed by Sean Davis <email address hidden>
 dpkg-source --before-build lightdm-gtk-greeter-1.8.5
 fakeroot debian/rules clean
dh clean --parallel --with autotools-dev
   dh_testdir -O--parallel
   dh_auto_clean -O--parallel
   dh_autotools-dev_restoreconfig -O--parallel
   dh_clean -O--parallel
 dpkg-source -b lightdm-gtk-greeter-1.8.5
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building lightdm-gtk-greeter using existing ./lightdm-gtk-greeter_1.8.5.orig.tar.gz
dpkg-source: info: local changes detected, the modified files are:
 lightdm-gtk-greeter-1.8.5/data/lightdm-gtk-greeter.conf
dpkg-source: error: aborting due to unexpected upstream changes, see /tmp/lightdm-gtk-greeter_1.8.5-1ubuntu1.diff.z7RNCk
dpkg-source: info: you can integrate the local changes with dpkg-source --commit
dpkg-buildpackage: error: dpkg-source -b lightdm-gtk-greeter-1.8.5 gave error exit status 2
debuild: fatal error at line 1364:
dpkg-buildpackage -rfakeroot -d -us -uc -S -sa -v1.8.4-0ubuntu1 failed
daniel@daydream:~/lightdm-gtk-greeter-1.8.5$

Daniel Holbach (dholbach) wrote :

Unsubscribing sponsors for now.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm-gtk-greeter - 1.8.5-1ubuntu1

---------------
lightdm-gtk-greeter (1.8.5-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable. (LP: #1320830) Remaining changes:
    - debian/control, debian/rules:
      + Add Indicators support.
    - debian/control:
      + Build-Depends on liblightdm-gobject-1-dev instead on
        liblightdm-gobject-dev as it's non-existing in archive.
      + Fix binary-control-field-duplicates-source lintian tag.
    - debian/copyright:
      + Fix wiki-copyright-format-uri lintian tag.
      + Fix obsolete-field-in-dep5-copyright lintian tags.
      + Add missing license information.
    - debian/lightdm-gtk-greeter-ubuntu.conf,
      debian/lightdm-gtk-greeter.install,
      debian/lightdm-gtk-greeter.{post,pre}{inst,rm},
      debian/60-lightdm-gtk-greeter.conf:
      + Install and remove Ubuntu conf files.
    - debian/lightdm-gtk-greeter-ubuntu.conf, debian/rules:
      + Updated per new template, replaced deprecated
        "show-indicators" key.
    - debian/patches/04_default-gtk-greeter-config.patch:
      + Disabled, not used in Ubuntu.
 -- Artur Rona <email address hidden> Sat, 07 Jun 2014 15:45:56 +0200

Changed in lightdm-gtk-greeter (Ubuntu):
status: Confirmed → Fix Released
Chris J Arges (arges) on 2014-07-15
no longer affects: lightdm-gtk-greeter (Ubuntu Trusty)

Hello Sean, or anyone else affected,

Accepted lightdm-gtk-greeter into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lightdm-gtk-greeter/1.8.5-1ubuntu2~ubuntu14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Sean Davis (bluesabre) wrote :
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm-gtk-greeter - 1.8.5-1ubuntu2~ubuntu14.04.1

---------------
lightdm-gtk-greeter (1.8.5-1ubuntu2~ubuntu14.04.1) trusty; urgency=medium

  * No-change backport to trusty (LP: #1331871)

lightdm-gtk-greeter (1.8.5-1ubuntu2) utopic; urgency=medium

  * Fix indicator support (LP: #1336727)
    - debian/changelog:
      + Build-Depends on libido3-0.1-dev

lightdm-gtk-greeter (1.8.5-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable. (LP: #1320830) Remaining changes:
    - debian/control, debian/rules:
      + Add Indicators support.
    - debian/control:
      + Build-Depends on liblightdm-gobject-1-dev instead on
        liblightdm-gobject-dev as it's non-existing in archive.
      + Fix binary-control-field-duplicates-source lintian tag.
    - debian/copyright:
      + Fix wiki-copyright-format-uri lintian tag.
      + Fix obsolete-field-in-dep5-copyright lintian tags.
      + Add missing license information.
    - debian/lightdm-gtk-greeter-ubuntu.conf,
      debian/lightdm-gtk-greeter.install,
      debian/lightdm-gtk-greeter.{post,pre}{inst,rm},
      debian/60-lightdm-gtk-greeter.conf:
      + Install and remove Ubuntu conf files.
    - debian/lightdm-gtk-greeter-ubuntu.conf, debian/rules:
      + Updated per new template, replaced deprecated
        "show-indicators" key.
    - debian/patches/04_default-gtk-greeter-config.patch:
      + Disabled, not used in Ubuntu.

lightdm-gtk-greeter (1.8.5-1) unstable; urgency=medium

  * New upstream release.

lightdm-gtk-greeter (1.8.4-1) unstable; urgency=medium

  * New upstream release.
 -- Sean Davis <email address hidden> Sun, 06 Jul 2014 21:40:19 -0400

Changed in lightdm-gtk-greeter (Ubuntu Trusty):
status: New → Fix Released

The verification of the Stable Release Update for lightdm-gtk-greeter has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers